nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::stub::settings::DeviceAgent Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::settings::DeviceAgent:

## Public Member Functions
| DeviceAgent (Engine *engine, const nx::sdk::IDeviceInfo *deviceInfo)
Public Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
virtual void | setHandler (IHandler *handler) override
Public Member Functions inherited from nx::sdk::RefCountable< IConsumingDeviceAgent >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const

## Protected Member Functions
virtual void | getIntegrationSideSettings (nx::sdk::Result< const nx::sdk::ISettingsResponse *> *outResult) const override
virtual std::string | manifestString () const override
virtual nx::sdk::Result< const nx::sdk::ISettingsResponse * > | settingsReceived () override
virtual void | doGetSettingsOnActiveSettingChange (nx::sdk::Result< const nx::sdk::IActiveSettingChangedResponse *> *outResult, const nx::sdk::IActiveSettingChangedAction *activeSettingChangedAction) override
Protected Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
| ConsumingDeviceAgent (const IDeviceInfo *deviceInfo, bool enableOutput, const std::string &integrationInstanceId="")
virtual bool | pushCompressedVideoFrame (Ptr< const ICompressedVideoPacket >)
virtual bool | pushUncompressedVideoFrame (Ptr< const IUncompressedVideoFrame >)
virtual bool | pushCustomMetadataPacket (Ptr< const ICustomMetadataPacket >)
virtual bool | pullMetadataPackets (std::vector< Ptr< IMetadataPacket >> *)
void | pushMetadataPacket (Ptr< IMetadataPacket > metadataPacket)
void | pushIntegrationDiagnosticEvent (IIntegrationDiagnosticEvent::Level level, std::string caption, std::string description) const
std::string | settingValue (const std::string &settingName) const
std::map< std::string, std::string > | currentSettings () const
void | pushManifest (const std::string &pushManifest)
virtual void | finalize () override
virtual void | doPushDataPacket (Result< void > *outResult, IDataPacket *dataPacket) override
virtual void | doSetSettings (Result< const ISettingsResponse *> *outResult, const IStringMap *settings) override
virtual void | getManifest (Result< const IString *> *outResult) const override
virtual void | doSetNeededMetadataTypes (Result< void > *, const IMetadataTypes *) override

## Additional Inherited Members
Protected Attributes inherited from nx::sdk::analytics::ConsumingDeviceAgent
const LogUtils | logUtils

## Member Function Documentation

## ◆ settingsReceived()

Result< const ISettingsResponse * > nx::vms_server_plugins::analytics::stub::settings::DeviceAgent::settingsReceived | ( |  | ) |
| overrideprotectedvirtual

Called when the settings are received from the server (even if the values are not changed). Should perform any required (re)initialization. Called even if the settings model is empty.

Returns
  Error messages per setting (if any), as in IDeviceAgent::setSettings().

Reimplemented from nx::sdk::analytics::ConsumingDeviceAgent.

The documentation for this class was generated from the following files:

- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/settings/device_agent.h
- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/settings/device_agent.cpp